package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesEmergencyLocationModel;
import cn.estsh.i3plus.pojo.mes.bean.MesEmergencyLocation;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 应急件库位管理
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/10/17 16:22
 * @Modify:
 **/
public interface IMesEmergencyLocationService {

    @ApiOperation("查询应急件库位管理")
    List<MesEmergencyLocation> findMesEmergencyLocationList(String organizeCode, String workCenterCode);

    @ApiOperation("操作")
    void doAction(MesEmergencyLocationModel mesEmergencyLocationModel);

    @ApiOperation("发运出库")
    void doShippingStockOutOnline(String organizeCode, String workOrderNo, String userName, boolean isShipping);
}
