package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.MesShippingSnUnique;
import io.swagger.annotations.ApiOperation;

/**
 * @Description : 发运条码唯一性
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/10/28 15:09
 * @Modify:
 **/
public interface IMesShippingSnUniqueService {

    @ApiOperation("查询发运唯一性")
    MesShippingSnUnique getMesShippingSnUnique(String organizeCode, String productSn);

    @ApiOperation("校验唯一性")
    Boolean checkMesShippingSnUnique(String organizeCode, String productSn);

    @ApiOperation("新增唯一性校验")
    void insertMesShippingSnUnique(String organizeCode, String productSn,String shippingCode,String userName);

    @ApiOperation("唯一性校验")
    MesShippingSnUnique getMesShippingSnUnique(String organizeCode, String productSn,String shippingCode,String userName);
}
