package cn.estsh.i3plus.ext.mes.pcn.apiservice.controller.base;

import cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.MesProduceSnExtService;
import cn.estsh.impp.framework.boot.util.ResultBean;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/white")
public class MesWhiteController {

    @Autowired
    private MesProduceSnExtService mesProduceSnExtService;

    @GetMapping("/mesPartSap/{productSn}/{organizeCode}")
    public ResultBean getPartNo(@PathVariable String productSn,@PathVariable String organizeCode){

        String partNo;
        try {
            partNo = mesProduceSnExtService.queryPartNoByProduceSn(productSn, organizeCode);
        } catch (Exception e) {
           return ResultBean.fail("查询失败").setErrorMsg(e.getMessage());
        }
        return ResultBean.success("查询成功").setResultObject(partNo);

    }
}
