package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.webservice;

import cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.MesPullingOrderInfoService;
import cn.estsh.i3plus.pojo.mes.bean.MesPullingOrderInfo;
import cn.estsh.impp.framework.boot.util.SpringContextsUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.jws.WebMethod;
import javax.jws.WebService;

/**
 * @Description : soapUI调用 http://10.193.30.22:8300/i3plus-pcn/mes-service-spsEqu?wsdl
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/10/22 9:29
 * @Modify:
 **/

@WebService(targetNamespace = "http://tempuri.org/services/SyncSPSForEquipmentService")
public class WebServiceServerSPS200 {
    public static final Logger LOGGER = LoggerFactory.getLogger(WebServiceServerSPS200.class);

    @WebMethod(action = "GetCurrentOrder", operationName = "GetCurrentOrder")
    public String syncSPSForEquipment() {
        MesPullingOrderInfoService bean = (MesPullingOrderInfoService) SpringContextsUtil.getBean("mesPullingOrderInfoService");
         bean.doSPSForEquipment200();
         return "xxx";
    }

    @WebMethod(action = "GetCurrentOrderJson", operationName = "GetCurrentOrderJson")
    public String syncSPSForEquipmentJson() {
        MesPullingOrderInfoService bean = (MesPullingOrderInfoService) SpringContextsUtil.getBean("mesPullingOrderInfoService");
        return bean.doSPSForEquipmentString200();
    }
}
