package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description : 打印数据
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/6/20 11:40
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class MesProduceSnPrintDataModel {

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("生产厂家名称")
    private String factoryName;

    @ApiParam("流水号")
    private String no;

    @ApiParam("34位流水号")
    private String no34;

    @ApiParam("二维码")
    private String barcode;

    @ApiParam("二维码34")
    private String barcode34;

    @ApiParam("生产日期")
    private String productDate;

    @ApiParam("供应商代码")
    private String supplierCode;

    @ApiParam("客户物料号")
    private String custPartNo;

    @ApiParam("客户物料号1")
    private String custPartNo1;

    @ApiParam("用户名")
    private String userName;

    @ApiParam("打印时间")
    private String printDate;

    @ApiParam("打印数据")
    private String printData;
}