package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesPartTypePicture;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspectionDetail;
import cn.estsh.i3plus.pojo.mes.bean.rework.MesReworkTask;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
public class MesReworkTaskModel {
    /**
     * 条码
     */
    private String sn;
    /**
     * 返工单
     */
    private String reworkOrder;
    /**
     * 返工单零件对应的图片信息
     */
    private MesPartTypePicture mesPartTypePicture;

    /**
     * 返工单零件对应的图片信息
     */
    private MesReworkTask mesReworkTask;
    /**
     * 缺陷信息
     */
    private MesPartInspection mesPartInspection;
    /**
     * 缺陷明细
     */
    private List<MesPartInspectionDetail> mesPartInspectionDetails;

    /**
     * 生产线类型
     */
    private Integer centerType;

}
