package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.pojo.mes.bean.MesMoveRule;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description : 移库规则
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/9/28 12:14
 * @Modify:
 **/
public interface IMesMoveRuleService {

    @ApiOperation("根据规则代码查询移库规则")
    List<MesMoveRule> findMesMoveRuleByPartProdGroupCode(String code, String organizeCode,Integer groupType);

    @ApiOperation("根据规则代码查询移库规则")
    List<MesMoveRule> findMesMoveRuleByPartProdGroupCode(List<String> codeList, String organizeCode,Integer groupType);
}
