package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesProduceSnPrintDataModel;
import cn.estsh.i3plus.pojo.mes.bean.MesPrintedSnLog;
import io.swagger.annotations.ApiOperation;

/**
 * @Description : 条码打印记录表
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2024/10/16 13:10
 * @Modify:
 **/
public interface IMesPrintedSnLogService {

    @ApiOperation(value = "条码打印记录表")
    MesPrintedSnLog getMesPrintedSnLog(String userName, String organizeCode, MesProduceSnPrintDataModel printDataModel);

    @ApiOperation(value = "写入条码打印记录表")
    void insertMesPrintedSnLog(MesPrintedSnLog mesPrintedSnLog,String userName);
}
