package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao;

import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesProductionPsOutContext;
import cn.estsh.i3plus.ext.mes.pcn.pojo.context.MesScanMonitorContext;
import cn.estsh.i3plus.pojo.mes.model.StationResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface IMesWorkCellScanMonitorLogDao {

    @ApiOperation(value = "写入工位扫描监控信息")
    void insertWorkCellScanMonitorLog(StationResultBean resultBean, MesScanMonitorContext scanMonitorContext);

    @ApiOperation(value = "修改工位扫描监控信息")
    Integer updateWorkCellScanMonitorLog(String organizeCode, String workCenterCode, String workCellCode, Long mouldRecordId);

    @ApiOperation(value = "修改工位扫描监控信息")
    Integer updateWorkCellScanMonitorLog(String organizeCode, String workCenterCode, String userInfo, Long mouldRecordId, List<MesProductionPsOutContext> productionPsOutContextList);

}
