package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class ActorMessage {

    @ApiParam("用户名称")
    private String userName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("组织名称")
    private String organizeName;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("工艺代码")
    private String craftCode;

    @ApiParam("工序代码")
    private String processCode;

    @ApiParam("条码信息JOSN")
    private String produceSnJson;

    @ApiParam("设备代码")
    private String equipmentCode;

    @ApiParam("设备ID")
    private Integer equipId;

    @ApiParam("开模记录ID")
    private Long mouldRecordId;

}
