package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 *
 */
@Data
public class MesQueueOrderModel implements Serializable {

    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心")
    private String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam("工位代码")
    private String workCellCode;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("产品条码")
    private String productSn;

    @ApiParam("客户条码")
    private String custSn;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("状态")
    private Integer status;

    @ApiParam("零件生产组代码")
    private String partProdGroupCode;

    @ApiParam("零件生产组名称")
    private String partProdGroupName;

    @ApiParam("生产序号")
    private Long productSeq;

    @ApiParam("工单序号")
    private String workOrderSeq;

    @ApiParam("车型大类")
    private String carModelCode;

    @ApiParam("客户订单号")
    private String custOrderNo;

    @ApiParam("客户物料号")
    private String custPartNo;

    @ApiParam(value = "工艺顺序号")
    private Integer processSeq;

    @ApiParam(value = "颜色")
    private String color;

}
